/***********************************************************
 *
 * d_Backlight.h
 * SYSTART GmbH
 * SAM, 22.06.2016
 *
 ***********************************************************/

#ifndef __D_BACKLIGHT_H_
#define __D_BACKLIGHT_H_

/***********************************************************
 * Includes
 ***********************************************************/
#include "stm32f4xx.h"
#include "math.h"
/***********************************************************
 * Funktionsdeklarationen
 ***********************************************************/
/**
* @brief Initialisierung des Moduls fuer die Hintergrundbeleuchtung
*
* -
*
* @param -
*
* @return -
*
*/
void Backlight_init ( void );

/**
* @brief Konfiguration der Hintergrundbeleuchtung
*
* Der minimale Tastgrad fr die Hintergrundbeleuchtung ist 5,
* der maximale 95.
* Die Pulsweite errechnet sich immer als prozentualer Anteil
* der Periode von 9000 (z.B. 0,05*9000 = 450).
*
* @param dutycycle Tastgrad
*
* @return -
*
*/
void Backlight_configPWM ( uint16_t dutycycle );

/**
* @brief Einschalten der Hintergrundbeleuchtung
*
* -
*
* @param -
*
* @return -
*
*/
void Backlight_ON ( void );

/**
* @brief Ausschalten der Hintergrundbeleuchtung
*
* -
*
* @param -
*
* @return -
*
*/
void Backlight_OFF ( void );

#endif // __D_BACKLIGHT_H_
