/***********************************************************
 *
 * a_timer.c
 * SYSTART GmbH
 * FLB, 10.09.2018
 *
 ***********************************************************/
 /***********************************************************
 * Includes
 ***********************************************************/
#include "driver/d_timer.h"

/***********************************************************
 * Global variables
***********************************************************/
tTimer timer_global = 0;

/***********************************************************
* Declaration internal functions
***********************************************************/

/***********************************************************
* Function definitions
***********************************************************/
void timer_init(void)
{
	RCC_ClocksTypeDef RCC_Clocks;
	RCC_GetClocksFreq(&RCC_Clocks);

	// Set timer to 1us
	SysTick_Config(RCC_Clocks.HCLK_Frequency / 1000000);
	NVIC_SetPriority(SysTick_IRQn, 0);

	timer_global = 0;
}

tTimer timer_get_time_ms(void)
{
	return timer_global/1000;
}

tTimer timer_get_time_us(void){
	return timer_global;
}

void delay_us(tTimer delay){
	tTimer currentTime = timer_get_time_us();
	while(timer_get_time_us()- currentTime < delay);
}

void delay_ms(tTimer delay){
	tTimer currentTime = timer_get_time_ms();
		while(timer_get_time_ms()- currentTime < delay);
}

void SysTick_Handler(void)
{
	timer_global++;
}
